QGIS Application - Bug report #18194
QGIS3 Processing Graphical Modeler GUIl is messed up on OSX
2018-02-23 03:18 PM - asgerpetersen -

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: OSX High Sierra Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26085
Description

The GUI for the graphical modeller is so messed up on OSX that it is not usable. Please see the attached screenshot.

My version of QGIS is compiled using https://github.com/qgis/homebrew-qgisdev.

Latest commit is commit:70c68df72a which is a few minutes after branching off QGIS 3.0.

Also see attached screen dump of "About QGIS" for Qt versions etc.

Other parts of this QGIS build seem to work as expected.

History

#1 - 2018-02-24 12:51 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

This is fixed in the code, but you'll need to manually uninstall the ggis qt custom widgets.

#2 - 2018-02-25 11:29 PM - Alister Hood

Translation based on #18065: "delete qgis_customwidgets.py"

#3 - 2018-03-12 08:41 PM - Jiirgen Fischer

- Description updated

#4 - 2018-03-15 09:13 PM - Daniel Victoria

I'm seeing that this issue is closed. But I'm having the same problem in QGIS 3.0.0 - Girona, running on Ubuntu 16.04 installed from the
http://qgis.org/ubuntugis repository. Any idea when the fix will make it to the debian / ubuntu packages in the repository?
